Average Handling Time (Token authentication)

Returns AHT metrics for a given agent ID or a for a campaign.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API calculates the average handling time for outbound calls made by a specific agent or a campaign over the last two hours.

Please note that you only need to specify only one parameter between 'agentId' and 'campaignName'.

To use this API with the help of a token, follow these steps:

  1. Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
  2. Enter the Token ID: Navigate to the right section of this page, under the 'CREDENTIALS' tab. Here, input the generated token ID.
  3. With the token entered, pass the header and body parameters:
❗️

Rate Limit

  • This API allows a maximum of 50 Requests per minute.

📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

Possible responses

Success response for Campaign"status": "success"
"message": "CampaignID": "xxxx"
"CampaignName": "xxxx"
"AHT": "00:00:27"
Success response for Agent"status": "success"
"message": "AgentID": "xx"
"AgentName": "xxxxxxx"
"AHT":"00:02:37"
If userName is Empty"status": "error"
"message": "userName should not be empty"
If apiKey is Empty"status": "error"
"message": "apiKey should not be empty"
If both agentId and campaignName is not passed"status": "error"
"message": "Both agentId and campaignName cannot be passed at a time"
If both agentId and campaignName is passed as empty fields"status": "error"
"message": "Both agentId and campaignName cannot be
empty"
If invalid apiKey or userName is passed"status": "error"
"message": "userName or apiKey is Invalid"
If an invalid agentId is passed while fetching for a particular agent"status": "error"
"message": "agentId is Invalid"
If an invalid campaignName is passed while fetching for a particular Campaign"status": "error"
"message": "campaignName is Invalid"
If the Rate Limit exceeds"status": "error"
"message": "max limit exceeded"
Body Params
string
required

CloudAgent account name

string

To get AHT for a specific campaign

string

To get AHT for a specific agent

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json